=== debian/control ===
Source: ros-jazzy-rosidl-parser
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-pytest <!nocheck>, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rosidl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-lark, ros-jazzy-rosidl-adapter, ros-jazzy-ros-workspace
Description: The parser for `.idl` ROS interface files.
